=== debian/control ===
Source: ros-one-jsk-rviz-plugins
Section: misc
Priority: optional
Maintainer: Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-cv-bridge, ros-one-diagnostic-msgs, ros-one-dynamic-reconfigure, ros-one-geometry-msgs, ros-one-image-geometry, ros-one-jsk-footstep-msgs, ros-one-jsk-gui-msgs, ros-one-jsk-hark-msgs, ros-one-jsk-recognition-msgs, ros-one-jsk-recognition-utils, ros-one-jsk-topic-tools, ros-one-message-generation, ros-one-mk, ros-one-people-msgs, ros-one-rosbuild, ros-one-rviz, ros-one-std-msgs, ros-one-urdfdom-py, ros-one-view-controller-msgs
Homepage: https://jsk-visualization.readthedocs.io/en/latest/jsk_rviz_plugins/index.html
Standards-Version: 3.9.2

Package: ros-one-jsk-rviz-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-scipy, ros-one-cv-bridge, ros-one-diagnostic-msgs, ros-one-dynamic-reconfigure, ros-one-geometry-msgs, ros-one-image-geometry, ros-one-image-publisher, ros-one-jsk-footstep-msgs, ros-one-jsk-gui-msgs, ros-one-jsk-hark-msgs, ros-one-jsk-recognition-msgs, ros-one-jsk-recognition-utils, ros-one-jsk-topic-tools, ros-one-message-generation, ros-one-people-msgs, ros-one-posedetection-msgs, ros-one-rviz, ros-one-std-msgs, ros-one-urdfdom-py, ros-one-view-controller-msgs
Description: The jsk_rviz_plugins package
