## ros-one-jsk-rviz-plugins 2.1.10-5jammy.20251215.2208

=== debian/changelog ===
ros-one-jsk-rviz-plugins (2.1.10-5jammy.20251215.2208) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 15 Dec 2025 22:08:47 +0000
