## ros-one-jsk-rviz-plugins 2.1.10-5jammy.20260106.2151

=== debian/changelog ===
ros-one-jsk-rviz-plugins (2.1.10-5jammy.20260106.2151) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 06 Jan 2026 21:51:56 +0000
