## ros-one-jsk-rviz-plugins 2.1.10-5noble.20260106.2200

=== debian/changelog ===
ros-one-jsk-rviz-plugins (2.1.10-5noble.20260106.2200) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 06 Jan 2026 22:00:44 +0000
